cURL
curl --request POST \
--url https://api.hubapi.com/crm/extensions/calling/2026-03/inbound-call \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"createEngagement": true,
"engagementProperties": {},
"externalCallId": "<string>",
"fromNumber": {
"e164Number": "<string>",
"extension": "<string>"
},
"potentialRecipientUserIds": [
123
],
"toNumber": {
"e164Number": "<string>",
"extension": "<string>"
},
"callStartedTimestamp": "2023-11-07T05:31:56Z",
"durationSeconds": 123,
"userId": 123
}
'import requests
url = "https://api.hubapi.com/crm/extensions/calling/2026-03/inbound-call"
payload = {
"createEngagement": True,
"engagementProperties": {},
"externalCallId": "<string>",
"fromNumber": {
"e164Number": "<string>",
"extension": "<string>"
},
"potentialRecipientUserIds": [123],
"toNumber": {
"e164Number": "<string>",
"extension": "<string>"
},
"callStartedTimestamp": "2023-11-07T05:31:56Z",
"durationSeconds": 123,
"userId": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
createEngagement: true,
engagementProperties: {},
externalCallId: '<string>',
fromNumber: {e164Number: '<string>', extension: '<string>'},
potentialRecipientUserIds: [123],
toNumber: {e164Number: '<string>', extension: '<string>'},
callStartedTimestamp: '2023-11-07T05:31:56Z',
durationSeconds: 123,
userId: 123
})
};
fetch('https://api.hubapi.com/crm/extensions/calling/2026-03/inbound-call', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"callerIdMatches": [
{
"callerIdType": "CONTACT",
"objectCoordinates": {
"objectId": 123,
"objectTypeId": "<string>",
"portalId": 123
},
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>"
}
]
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}文字起こし
Transcribe inbound call
POST
/
crm
/
extensions
/
calling
/
2026-03
/
inbound-call
cURL
Supported products
Supported products
Required Scopes
Required Scopes
承認
oauth2oauth2oauth2oauth2
The access token received from the authorization server in the OAuth 2.0 flow.
ボディ
application/json
Show child attributes
Show child attributes
利用可能なオプション:
BUSY, CALLING_CRM_USER, CANCELED, COMPLETED, CONNECTING, FAILED, HOLD, IN_PROGRESS, MISSED, NO_ANSWER, QUEUED, RINGING, UNKNOWN Show child attributes
Show child attributes
Show child attributes
Show child attributes
レスポンス
successful operation
- CONTACT
- COMPANY
Show child attributes
Show child attributes
最終更新日 2026年4月10日
⌘I